package com.huatek.busi.dao;

import com.huatek.busi.entity.BusiGeneratorPdStatistics;
import com.huatek.busi.entity.TransformerPdStatistics;
import com.huatek.torch.sql.dao.impl.BaseDao;
import com.huatek.torch.util.uuid.Uuid;
import org.springframework.stereotype.Repository;
import org.springframework.util.StringUtils;

/**
 * 局部放电统计 Dao
 */
@Repository
public class BusiGeneratorPdStatisticsDao extends BaseDao<BusiGeneratorPdStatistics, String> {

    public int saveOrUpdate(BusiGeneratorPdStatistics entity) {
        if (StringUtils.isEmpty(entity.getId())) {
            entity.setId(Uuid.getUUID());
            return this.add(entity);
        }
        return this.updateLocal(entity);
    }
}
